# Deleting a Specified Port To authenticate submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. To delete a port send a `DELETE` request to the [`/fabric/v4/ports/{id}`](https://docs.equinix.com/api-catalog/fabricv4/ports/deleteport.md) endpoint. Specify the port by ID in the path of the request. | | | | ---------------- | ----------------------------- | | Method | DELETE | | URL or Endpoint | `/fabric/v4/ports/{portUuid}` | | Headers | `Authorization` | | Path Parameters | `uuid` | | Query Parameters | `dryRun` | | Body Parameters | Not applicable | To safely validate this request in production without deleting any ports, see [Testing in Production (API Dry Run)](https://docs.equinix.com/equinix-api/testing/testing-in-production-dry-run.md). Sample cURL request: ``` curl -X DELETE 'https://api.equinix.com/fabric/v4/ports/13c0f286-1190-480c-8a45-b3df00cad9cf' -H 'Authorization: Bearer ' ``` Sample response: ``` { "type": "XF_PORT", "uuid": "e91484bb-4f65-4ab3-8f77-500dec2f855d", "name": "test-AT1-Dot1q-L-Secondary-108608", "physicalPortsType": "10GBASE_L", "physicalPortsSpeed": 10000, "physicalPortsCount": 1, "location": { "metroCode": "AM" }, "demarcationPointIbx": "AM1", "redundancy": { "group": 1, "priority": "PRIMARY" }, "lagEnabled": true, "encapsulation": { "type": "DOT1Q", "tagProtocolId": 33024 }, "package": { "code": "STANDARD" }, "settings": { "sharedPortType": false }, "project": { "projectId": 567 }, "account": { "accountNumber": 1000 }, "order": { "orderNumber": "1-207799950758", "signature": { "signatory": "DELEGATE", "delegate": { "email": "testEmail1@equinix.com" } } }, "notifications": [ { "type": "TECHNICAL", "registeredUsers": [ "jaguarsuser-port-order" ] }, { "type": "NOTIFICATION", "registeredUsers": [ "jaguarsuser-port-order" ] }, { "type": "PEERING", "registeredUsers": [ "jaguarsuser-port-order" ] }, { "type": "ESCALATION", "registeredUsers": [ "jaguarsuser-port-order" ] } ], "physicalPorts": { "tether": { "crossConnectId": "100179-A", "patchPanel": "PP:8118:1586", "patchPanelPortA": "92", "patchPanelPortB": "24" }, "demarcationPoint": { "ibx": "AT1", "patchPanel": "PP:8118:1586", "patchPanelName": "PP:8118:1586", "patchPanelPortA": "92", "patchPanelPortB": "24" } } } ``` For a detailed description of the response, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/ports/deleteport.md).